Subject: Re: bug#16816: 24.3.50; erroneous docstring in with-temp-buffer-window

From: Juanma Barranquero <[email-masked]>
Date: Thu, 27 Feb 2014 19:55:35 +0100

On Thu, Feb 27, 2014 at 7:44 PM, martin rudalics <[email-masked]> wrote:

> Does the following patch fix it?

Yes.

> This would restore what we had till now: BODY would get evaluated in the
> help buffer and not in the original buffer.  I doubt this could have any
> serious consequences (Emacs 24.3 runs this already for quite some time)
> but it's inherently disturbing.

You're right, I suppose.

BTW, the docstring of with-help-window isn't exactly clear to me...

  Display buffer with name BUFFER-NAME in a help window evaluating BODY.

Evaluating BODY in a help window? What does this mean?

     J